Bug 238629 - editors/libreoffice does NOT need gpatch
Summary: editors/libreoffice does NOT need gpatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2019-06-16 20:26 UTC by Mikhail Teterin
Modified: 2019-06-19 13:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
Remove the dependency on devel/patch (1.44 KB, patch)
2019-06-16 20:26 UTC, Mikhail Teterin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2019-06-16 20:26:00 UTC
Created attachment 205147 [details]
Remove the dependency on devel/patch

Long ago we were allowing OpenOffice to build its own versions of various software packages -- instead of making it use what FreeBSD's ports provided -- and it needed patch(1) to do the building.

We no longer do that in the libreoffice port -- and, hopefully -- not in OpenOffice either.

But we still have the gpatch dependency -- and the upstream still have a configure-script verify, that the patch(1) is GNU-compatible (only on SunOS, FreeBSD, and Darwin, though).

It is not needed however -- which is especially important now, when gpatch is found to have (yet unfixed) security holes (https://vuxml.FreeBSD.org/freebsd/791841a3-d484-4878-8909-92ef9ce424f4.html).
Comment 1 commit-hook freebsd_committer 2019-06-19 13:53:18 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Jun 19 13:52:32 UTC 2019
New revision: 504549
URL: https://svnweb.freebsd.org/changeset/ports/504549

Log:
  - Remove dependence on devel/patch

  PR:		238629
  Submitted by:	mi

Changes:
  head/editors/libreoffice/Makefile
  head/editors/libreoffice/files/patch-configure